it-swarm.com.de

Warum erhalte ich die Meldung "Project Facet Cloud Foundry Standalone-Anwendung Version 1.0 wird nicht unterstützt"?

Ich versuche, das folgende Projekt von IBM developerWorks auf Bluemix bereitzustellen:

Java EE-App unter IBM Bluemix mit Watson und Cloudant erstellen

über das Bluemix-Plugin in Eclipse (Aufgerufen: IBM Eclipse Tools für Bluemix ). Ich erhalte jedoch weiterhin den folgenden Fehler

Projektfacette Cloud Foundry Standalone Application Version 1.0 wird nicht unterstützt

 enter image description here

Verwendete Versionen:

  • Eclipse-Version: Mars Release (4.5.0) Build-ID: 20150621-1200
  • IBM® Eclipse Tools für Bluemix Version: 1.0.4 Build-ID: 20150801_1001

Es gibt kein Problem, wenn ich dies über Cloud Foundry CLIcf Push tue.

11
M. A. Kishawy

Entfernen Sie die Cloud Foundry Standalone Application Version 1.0-Facette über project -> properties -> project facets aus dem Projekt.

 enter image description here

Bluemix-Tools ordnen Projekte über project facets zu Bluemix-Laufzeiten zu, sodass unterschiedliche Laufzeiten mit verschiedenen Projekten verknüpft werden. 

Es ist wahrscheinlich nur so, dass die Standalone-Facette, die wahrscheinlich mit Cloudfoundry-Tools verbunden ist, nicht vom bluemix-Tool-Plugin unterstützt wird

30

Wie @Ghurdyl in den Kommentaren erwähnt: Wenn Sie die Cloud Foundry-Standalone-Anwendung nicht deaktivieren können, entfernen Sie die Facette aus der Einstellungsdatei des Projekts (.settings/org.Eclipse.wst.common.project.facet.core.xml):

<?xml version="1.0" encoding="UTF-8"?>
<faceted-project>
  <installed facet="cloudfoundry.standalone.app" version="1.0"/>
  <installed facet="Java" version="10"/>
</faceted-project>

zu:

<?xml version="1.0" encoding="UTF-8"?>
<faceted-project>
  <installed facet="Java" version="10"/>
</faceted-project>
0
Jan Nielsen